<?php
session_start();
include($_SERVER["DOCUMENT_ROOT"].'/php/barcodegen2/generarImagenCB.php');
require('rotation.php');
include ('conexion.php');


class PDF extends PDF_Rotate

{
	function RotatedText($x,$y,$txt,$angle)
	{
		//Text rotated around its origin
		$this->Rotate($angle,$x,$y);
		$this->Text($x,$y,$txt);
		$this->Rotate(0);
	}

	function RotatedImage($file,$x,$y,$w,$h,$angle)
	{
		//Image rotated around its upper-left corner
		$this->Rotate($angle,$x,$y);
		$this->Image($file,$x,$y,$w,$h);
		$this->Rotate(0);
	}

	 function TextWithRotation($x, $y, $txt, $txt_angle, $font_angle=0)
    {
        $font_angle+=90+$txt_angle;
        $txt_angle*=M_PI/180;
        $font_angle*=M_PI/180;
        $txt_dx=cos($txt_angle);
        $txt_dy=sin($txt_angle);
        $font_dx=cos($font_angle);
        $font_dy=sin($font_angle);

        $s=sprintf('BT %.2F %.2F %.2F %.2F %.2F %.2F Tm (%s) Tj ET',$txt_dx,$txt_dy,$font_dx,$font_dy,$x*$this->k,($this->h-$y)*$this->k,$this->_escape($txt));

        if ($this->ColorFlag)
            $s='q '.$this->TextColor.' '.$s.' Q';
        $this->_out($s);

    }

}

	// ===============  INICIO DE EJECUCION ============================

	$old = error_reporting();
	error_reporting(0);	

//	

	$id_empresa = $_POST['id_empresa'];
	$mes = $_POST['mes'];
	$anio = $_POST['anio']; 
    $Importe_NC = $_POST['imp_credito'];     
    $Lugar_Pago = $_POST['tipo_pago'];   
    $CBU = 	$_POST['cbu'];



	
    $id_tipo_formulario = $_SESSION["tipo_f"]; 
    
    // se agrega a partir del 25/05/2022 para saber si tiene nota de credito
   
	//echo '<script language="javascript">alert("';
	//echo  'Lugar del Pago:'.$Importe_NC;
	//echo '");</script>';


	//-----------------------------------------------------------------------------------
	//Obtener los datos	

	$strSql = "select f.id_empresa, f.mes, f.anio, f.bancodepo, f.cant_empleados, f.imp_remuneracion, ";
	$strSql .= " f.cant_art_100, f.imp_art_100, f.imp_art_101, f.cant_art_101, f.otros,f.id_tipo_formulario,";
	$strSql .= " f.imp_otros, f.tipo_pago, f.enletras, f.bancopago, f.nro_cheque, f.fecha, ";
	$strSql .= " f.cod_barra, e.nombre empresa,e.cuit, e.direccion, e.telefono, m.descripcion municipio ";
	$strSql .= " from com_formularios f left join com_empresas e on f.id_empresa = e.id_empresa ";
	$strSql .= " left join com_municipios m on e.id_municipio = m.id_municipio ";	
	$strSql .= " where f.id_tipo_formulario = " .$id_tipo_formulario ;
	$strSql .= " and f.id_empresa = " .$id_empresa ;
	$strSql .= " and f.mes  = " .$mes ;
	$strSql .= " and f.anio  = " .$anio;

    
	
	$query = mysqli_query($coneccion ,	$strSql);
	$row = mysqli_fetch_array($query);

	//var_dump($row);
	//exit();

   //
	//------------------------------------
	//Generar el pdf
	//GenerarPDF($row,$Importe_NC,$Lugar_Pago);
	GenerarPDF($row,$Importe_NC,$Lugar_Pago,$CBU);
	mysql_close($coneccion);


function GenerarPDF($row, $Importe_NC, $Lugar_Pago,$CBU){

	//Establecer el PDF, fuentes y tama�os de pagina
	if($Lugar_Pago == 1){
	$pdf=new PDF('L','mm','LEGAL');
	}else{
	$pdf=new PDF('P','mm','LEGAL');
	}
	//$pdf->AddFont('Code128','','code128.php');
	//$pdf->AddFont('BarcodeFont','','BarcodeFont.php');
    //$pdf->AddFont('c39hrp24dhtt','','c39hrp24dhtt.php');
	$pdf->AddPage();
	//$pdf->SetFont('Arial','',20);

	$archivo = 'temp_cb/' . $row['id_empresa'] . '_' .  $row['mes'] . '_' . $row['anio'] . '.png';
	//
	GenerarImagen($archivo,$row['cod_barra']); 



	if($Lugar_Pago ==1){
		//for($copia=1; $copia < 4; $copia++){		
		//	ImprimirCopia($pdf, $copia, $row, $archivo,$Importe_NC);	
		//}		
	    //}	else{		
	    //	ImprimirCopia1($pdf, 1, $row, $archivo,$Importe_NC);		
	   //	}
		
		// Desde Agosto 2023
		for($copia=1; $copia < 4; $copia++){		
			ImprimirCopia($pdf, $copia, $row, $archivo,$Importe_NC);	
		}		
	}	else{		
		ImprimirCopia1($pdf, 1, $row, $archivo,$Importe_NC,$CBU);		
		}
	//Genera el pdf final
	$pdf->Output();
	//$pdf->Output('Cecposadas_.pdf','D');  // De esta manera lo descarga directamente
	//$pdf->Output('FI','Cecposadas_.pdf');
	unlink('temp_cb/' . $row['id_empresa'] . '_' .  $row['mes'] . '_' . $row['anio'] . '.png');
	

}

//function ImprimirCopia($pdf, $copia,$row, $archivoCB,$Importe_NC)

function ImprimirCopia($pdf, $copia,$row, $archivoCB,$Importe_NC){

	switch($copia){
		case 1:
			$dx =10;
			$para = "PARA EL DEPOSITANTE";
			break;
		case 2:
			$dx = 128;
			$para = "PARA EL BANCO (COMPROBANTE DE CAJA)";
			break;
		case 3:
			$dx = 246;
			$para = "PARA EL BANCO (COMPROBANTE DE CAJA)";
			break;
	}	

	//Variables 
	$banco = $row["bancodepo"];
    $bancopago = $row["bancopago"];
    $nro_cheque= $row["nro_cheque"];
    $mes = $row["mes"];
	$anio = $row["anio"];
	$empresa= $row["empresa"];
	$cuit = $row["cuit"];
	$direccion = $row["direccion"];
    $telefono = $row["telefono"];
    $localidad = $row["municipio"]; 
    $tot_empleados = $row["cant_empleados"];
    $cant_art_100 = $row["cant_art_100"];
    $cant_art_101 = $row["cant_art_101"];
    $otros = $row["otros"];
    $tot_remuneracion = $row["imp_remuneracion"];
    $imp_art_100 = $row["imp_art_100"];
    $imp_art_101 = $row["imp_art_101"];
    $imp_otros = $row["imp_otros"];
    $enletras = $row["enletras"];
    $fecha = $row["fecha"];
    $cod_barra = $row["cod_barra"];
    $tipo_pago = $row["tipo_pago"];

    // Se agrega el campo Total_NC por las dudas que elija esta salida para el comprobante
    // y tenga el descuento de la NC
    if ( $row["id_tipo_formulario"] ==1){
    	$comprobante = "O R I G I N A L";
    	 }else{
    	 	$comprobante = "R E C T I F I C A T I V A";
    	 }



    if($row["tipo_pago"] == "1" or $row["tipo_pago"] == "2"){
        $efectivo = "Si";
        $cheque = "--";

    }else{
    	if($nro_cheque <> ""){
        	$efectivo = "--";
        	$cheque = "Si";
        }
    }
    if ($row["bancodepo"] == 1){
    	$LugarP = "Banco Nacion";
    }
    if ($row["bancodepo"] == 2){
    	$LugarP = "Pago Facil";
    }
    if ($row["bancodepo"] == 3){
    	$LugarP = "Transf.Via CBU";
    }


	$totalpagar = number_format( ($row["imp_art_100"] + $row["imp_art_101"]+ $row["imp_otros"] ), 2, ',', '');

		$totalpagar=str_replace(',','.',$totalpagar);

	
	if($Importe_NC > 0){
		if($totalpagar <= $Importe_NC ){
			$Importe_NC = $totalpagar;
			$totalpagar = 0;
		}else{
			$totalpagar -= $Importe_NC;
		}

	}

	$totalpagar = number_format($totalpagar, 2, ',', '');	

	$pdf->RotatedImage($_SERVER["DOCUMENT_ROOT"]."/imagenes/logo.jpg",$dx +15, 6.5,15,15,0 );

	//Encabezado

	$pdf->SetFont('Times','B',10);
	$pdf->SetXY($dx +29, 10);
	$pdf->Cell(0,0,'Centro Empleados');	
	$pdf->SetFont('Times','B',10);
	$pdf->SetXY($dx +30, 15);
	$pdf->Cell(0,0,'de Comercio');
	$pdf->SetFont('Times','B',10);
	$pdf->SetXY($dx +28, 20);
	$pdf->Cell(0,0,'de Posadas');
	//Numero
	$pdf->SetFont('Times','B',46);
	$pdf->SetXY($dx +80, 10);
	$pdf->Cell(0,0,$copia);
	$pdf->SetFont('Times','',8);
	$pdf->SetXY($dx +15.5, 25);
	$pdf->Cell(0,0,'CASA CENTRAL S/CONVENIO DE DEPOSITOS');	
	$pdf->SetFont('Times','',8);
	$pdf->SetXY($dx +15.5, 30);
	$pdf->Cell(0,0,$para);
	$pdf->SetFont('Times','B',8);
	$pdf->SetXY($dx +15.5, 35);
	$pdf->Cell(0,0,'Nota de Credito para Banco: ' . $banco);
	$pdf->SetFont('Times','B',8);
	$pdf->SetXY($dx +15.5, 40);
	$pdf->Cell(0,0,'del Centro de Empleados de Comercio de Posadas');	
	$pdf->Line($dx +16, 45, $dx +108, 45);
		
	if ($copia < 3)
		$pdf->Line($dx +111, 5, $dx +111, 210);		
		$y = 55; $sep = 4;
	//Empleador
		$pdf->SetFont('Arial','',8);
		$pdf->SetXY($dx +15, $y + $sep * 0);
		$pdf->Cell(0,0,'Empleador: ' .$empresa);	
	//Cuit
		$pdf->SetFont('Arial','',8);
		$pdf->SetXY($dx +15, $y + $sep * 1);
		$pdf->Cell(0,0,'Cuit: ' .$cuit );
	//Direccion
		$pdf->SetFont('Arial','',8);
		$pdf->SetXY($dx +15, $y + $sep * 2);
		$pdf->Cell(0,0,'Direccion: ' .$direccion );	
	//Localidad
		$pdf->SetFont('Arial','',8);
		$pdf->SetXY($dx +15, $y + $sep * 3);
		$pdf->Cell(0,0,'Localidad: ' .$localidad );	
	//Telefono
		$pdf->SetFont('Arial','',8);
		$pdf->SetXY($dx +15, $y + $sep * 4);
		$pdf->Cell(0,0,'Total de Empleados:  ' .$tot_empleados . '             Telefono:  '  .$telefono );	
	//Total Remuneracion
		$pdf->SetFont('Arial','',8);
		$pdf->SetXY($dx +15, $y + $sep * 5);
		$pdf->Cell(0,0,'Total Remuneraciones: $ ' .$tot_remuneracion );	
	//Mes y Año
		$pdf->SetFont('Arial','',8);
		$pdf->SetXY($dx +15, $y + $sep * 6);
		$pdf->Cell(0,0,'Correspondiente al mes:     ' .$mes .'        AÑO' . $anio );	
      // Linea
		$pdf->Line($dx +16, $y + $sep * 7, $dx +108, $y + $sep * 7);
	//Titulo
		$pdf->SetFont('Arial','B',8);
		$pdf->SetXY($dx +15, $y + $sep * 8);
		$pdf->Cell(0,0,'RETENCION S/CONVENIO COLECTIVO DE TRABAJO Nڠ130/75');	
	//ART 100
		$pdf->SetFont('Arial','',8);
		$pdf->SetXY($dx +15, $y + $sep * 9);
		$pdf->Cell(0,0,'2% de las remuneraciones Art. 100 ');	
	//Art 100
		$pdf->SetFont('Arial','',8);
		$pdf->SetXY($dx +15, $y + $sep * 10);
		$pdf->Cell(0,0,'Aporte con fines sindicales Cantidad:  ' .$cant_art_100  .'       $  ' .$imp_art_100 );	
	//ART 101
		$pdf->SetFont('Arial','',8);
		$pdf->SetXY($dx +15, $y + $sep * 11);
		$pdf->Cell(0,0,'2% de las remuneraciones Art. 101 ');
	//Art 101
		$pdf->SetFont('Arial','',8);
		$pdf->SetXY($dx +15, $y + $sep * 12);
		$pdf->Cell(0,0,'Cuotas sociales Cantidad de afiliados:  ' .$cant_art_101  .'     $  ' .$imp_art_101 );	
	//OTRAS RETENCIONES
		$pdf->SetFont('Arial','',8);
		$pdf->SetXY($dx +15, $y + $sep * 13);
		$pdf->Cell(0,0,'Otras Retenciones :  ' .$otros );	
	//OTRAS RETENCIONES
		$pdf->SetFont('Arial','',8);
		$pdf->SetXY($dx +15, $y + $sep * 14);
		$pdf->Cell(0,0,'Importe Otras Retenciones :                         $  ' .$imp_otros );	

	 // nota de credito
	if( $Importe_NC > 0) {

			//NOTA DE CREDITO
		$pdf->SetFont('Arial','',8);
		$pdf->SetXY($dx +15, $y + $sep * 15);
		$pdf->Cell(0,0,'Nota de Credito: ' );	
		   //NOTA DE CREDITO
		$pdf->SetFont('Arial','',8);
		$pdf->SetXY($dx +15, $y + $sep * 16);
		$pdf->Cell(0,0,'Importe N. / C. :                                     $  (- ' .$Importe_NC .')');	
		  // Linea
		$pdf->Line($dx +16, $y + $sep * 17, $dx +108, $y + $sep * 17);
	//Titulo
		$pdf->SetFont('Arial','B',9);
		$pdf->SetXY($dx +15, $y + $sep * 18);
		$pdf->Cell(0,0,'TOTAL IMPORTE '); 	
		$pdf->SetFont('Arial','B',9);
		$pdf->SetXY($dx +50, $y + $sep * 18 - 2.5);
		$pdf->Cell(25,5,'$ '  .$totalpagar, 1);	
		$pdf->SetFont('Arial','B',9);
		$pdf->SetXY($dx +15, $y + $sep * 19);
		$pdf->Cell(0,0,'FORMA DE PAGO: ' .$LugarP);	
	//BANCO PAGO
		$pdf->SetFont('Arial','',8);
		$pdf->SetXY($dx +15, $y + $sep * 20);
		$pdf->Cell(0,0,'Banco:  '  .$bancopago );
	//BANCO PAGO
		$pdf->SetFont('Arial','',8);
		$pdf->SetXY($dx +15, $y + $sep * 21);
		$pdf->Cell(0,0,'Cheque Nro.:  '  .$nro_cheque );
	//Sucursal
		$pdf->SetFont('Arial','',8);
		$pdf->SetXY($dx +15, $y + $sep * 22);
		$pdf->Cell(0,0,'Sucursal: '  );	
	//efectivo / cheque
		$pdf->SetFont('Arial','',8);
		$pdf->SetXY($dx +15, $y + $sep * 23);
		$pdf->Cell(0,0,'Efectivo:  '  .$efectivo .'                         Cheque:  ' .$cheque );	
	//son pesos
		$pdf->SetFont('Arial','B',8);
		$pdf->SetXY($dx +15, $y + $sep * 24);
		$pdf->MultiCell(90,3,'SON : ' .$enletras );
	//fecha
		$pdf->SetFont('Arial','',8);
		$pdf->SetXY($dx +15, $y + $sep * 25);
		$pdf->Cell(0,0,' '  .$fecha );	
	// Comprobante
		$pdf->SetFont('Arial','B',8);
		$pdf->SetXY($dx +15, $y + $sep * 26);
		$pdf->MultiCell(90,3,$comprobante);
	//sello
		$pdf->SetFont('Arial','B',8);
		$pdf->SetXY($dx +15, $y + $sep * 27);
		$pdf->Cell(0,0,'Sello del Banco : ' );	
		$pdf->SetXY($dx +65, $y + $sep * 28);
		$pdf->Cell(0,0,'________________________' );	
		$pdf->SetXY($dx +65, $y + $sep * 29);
		$pdf->Cell(0,0,' Firma del Depositante' );	
	// para que imprima correctamente el cb se necesita pasar de px a cm
		$Valorpxtomm = 0.264583333;
	    $Ancho = imagesx($archivoCB) * $Valorpxtomm;
		$Alto = imagesy($archivoCB) * $Valorpxtomm;
	    $pdf->Image($archivoCB,$dx,50,$Ancho,$Alto);

		}else{


      // Linea
		$pdf->Line($dx +16, $y + $sep * 15, $dx +108, $y + $sep * 15);
	//Titulo
		$pdf->SetFont('Arial','B',9);
		$pdf->SetXY($dx +15, $y + $sep * 16);
		$pdf->Cell(0,0,'TOTAL IMPORTE '); 	
		$pdf->SetFont('Arial','B',9);
		$pdf->SetXY($dx +50, $y + $sep * 16 - 2.5);
		$pdf->Cell(25,5,'$ '  .$totalpagar, 1);	
		$pdf->SetFont('Arial','B',9);
		$pdf->SetXY($dx +15, $y + $sep * 17);
		$pdf->Cell(0,0,'FORMA DE PAGO: ' .$LugarP);	
	//BANCO PAGO
		$pdf->SetFont('Arial','',8);
		$pdf->SetXY($dx +15, $y + $sep * 18);
		$pdf->Cell(0,0,'Banco:  '  .$bancopago );
	//BANCO PAGO
		$pdf->SetFont('Arial','',8);
		$pdf->SetXY($dx +15, $y + $sep * 19);
		$pdf->Cell(0,0,'Cheque Nro.:  '  .$nro_cheque );
	//Sucursal
		$pdf->SetFont('Arial','',8);
		$pdf->SetXY($dx +15, $y + $sep * 20);
		$pdf->Cell(0,0,'Sucursal: '  );	
	//efectivo / cheque
		$pdf->SetFont('Arial','',8);
		$pdf->SetXY($dx +15, $y + $sep * 21);
		$pdf->Cell(0,0,'Efectivo:  '  .$efectivo .'                         Cheque:  ' .$cheque );	
	//son pesos
		$pdf->SetFont('Arial','B',8);
		$pdf->SetXY($dx +15, $y + $sep * 22);
		$pdf->MultiCell(90,3,'SON : ' .$enletras );
	//fecha
		$pdf->SetFont('Arial','',8);
		$pdf->SetXY($dx +15, $y + $sep * 24);
		$pdf->Cell(0,0,' '  .$fecha );	
	// Comprobante
		$pdf->SetFont('Arial','B',8);
		$pdf->SetXY($dx +15, $y + $sep * 25);
		$pdf->MultiCell(90,3,$comprobante);
	//sello
		$pdf->SetFont('Arial','B',8);
		$pdf->SetXY($dx +15, $y + $sep * 26);
		$pdf->Cell(0,0,'Sello del Banco : ' );	
		$pdf->SetXY($dx +65, $y + $sep * 26);
		$pdf->Cell(0,0,'________________________' );	
		$pdf->SetXY($dx +65, $y + $sep * 27);
		$pdf->Cell(0,0,' Firma del Depositante' );	
	// para que imprima correctamente el cb se necesita pasar de px a cm
		$Valorpxtomm = 0.264583333;
	    $Ancho = imagesx($archivoCB) * $Valorpxtomm;
		$Alto = imagesy($archivoCB) * $Valorpxtomm;
	    $pdf->Image($archivoCB,$dx,50,$Ancho,$Alto);
 	//  $pdf->Image($archivoCB,$dx,20,11.1125,128.5875);
	//	$pdf->Image($archivoCB,$dx,20,10,170);
	//$pdf->RotatedImage($archivoCB,$dx +6.5, 5,52,475,0 );
	//$pdf->RotatedImage($archivoCB,$dx +6.5, 10 );
	}
}


function ImprimirCopia1($pdf, $copia,$row, $archivoCB,$Importe_NC,$cbu){

	switch($copia){
		case 1:
			$dx =50;
			$para = "PARA EL DEPOSITANTE";
			$cbu = $cbu;
			break;
		case 2:
			$dx = 128;
			$para = "PARA EL BANCO (COMPROBANTE DE CAJA)";
			break;
		case 3:
			$dx = 246;
			$para = "PARA EL BANCO (COMPROBANTE DE CAJA)";
			break;
	}	

	//Variables 
	$banco = $row["bancodepo"];
    $bancopago = $row["bancopago"];
    $nro_cheque= $row["nro_cheque"];
    $mes = $row["mes"];
	$anio = $row["anio"];
	$empresa= $row["empresa"];
	$cuit = $row["cuit"];
	$direccion = $row["direccion"];
    $telefono = $row["telefono"];
    $localidad = $row["municipio"]; 
    $tot_empleados = $row["cant_empleados"];
    $cant_art_100 = $row["cant_art_100"];
    $cant_art_101 = $row["cant_art_101"];
    $otros = $row["otros"];
    $tot_remuneracion = $row["imp_remuneracion"];
    $imp_art_100 = $row["imp_art_100"];
    $imp_art_101 = $row["imp_art_101"];
    $imp_otros = $row["imp_otros"];
    $enletras = $row["enletras"];
    $fecha = $row["fecha"];
    $cod_barra = $row["cod_barra"];
    $tipo_pago = $row["tipo_pago"];
	
	

    // Se agrega el campo Total_NC por las dudas que elija esta salida para el comprobante
    // y tenga el descuento de la NC
    if ( $row["id_tipo_formulario"] ==1){
    	$comprobante = "O R I G I N A L";
    	 }else{
    	 	$comprobante = "R E C T I F I C A T I V A";
    	 }



    if($row["tipo_pago"] == "1"){
        $efectivo = "Si";
        $cheque = "--";

    }else{
        $efectivo = "--";
        $cheque = "Si";
    }
    if ($row["bancodepo"] == 1){
    	$LugarP = "Banco Nacion";
    }
    if ($row["bancodepo"] == 2){
    	$LugarP = "Pago Facil";
    }
    if ($row["bancodepo"] == 3){
    	$LugarP = "Transf.Via CBU:" . $cbu;
    }


	$totalpagar = number_format( ($row["imp_art_100"] + $row["imp_art_101"]+ $row["imp_otros"] ), 2, ',', '');
	

 	$totalpagar=str_replace(',','.',$totalpagar);

	
	if($Importe_NC > 0){
		if($totalpagar <= $Importe_NC ){				
			$Importe_NC = $totalpagar ;
			$totalpagar = 0;
		}else{
			$totalpagar -= $Importe_NC;
		}

	}

	$totalpagar = number_format($totalpagar, 2, ',', '');	

	


	$pdf->RotatedImage($_SERVER["DOCUMENT_ROOT"]."/imagenes/logo.jpg",$dx +15, 6.5,15,15,0 );

	//Encabezado
	$pdf->Line($dx-10 , 1, $dx-10 , 210);
	$pdf->Line($dx -10 , 1, $dx +111, 1);
	$pdf->Line($dx -10 , 210, $dx +111, 210);
	
	
	$pdf->SetFont('Times','B',10);
	$pdf->SetXY($dx +29, 10);
	$pdf->Cell(0,0,'Centro Empleados');	
	$pdf->SetFont('Times','B',10);
	$pdf->SetXY($dx +30, 15);
	$pdf->Cell(0,0,'de Comercio');
	$pdf->SetFont('Times','B',10);
	$pdf->SetXY($dx +28, 20);
	$pdf->Cell(0,0,'de Posadas');
	//Numero
	$pdf->SetFont('Times','B',46);
	$pdf->SetXY($dx +80, 10);
	$pdf->Cell(0,0,$copia);
	$pdf->SetFont('Times','',8);
	$pdf->SetXY($dx +15.5, 25);
	$pdf->Cell(0,0,'CASA CENTRAL S/CONVENIO DE DEPOSITOS');	
	$pdf->SetFont('Times','',8);
	$pdf->SetXY($dx +15.5, 30);
	$pdf->Cell(0,0,$para);
	$pdf->SetFont('Times','B',8);
	$pdf->SetXY($dx +15.5, 35);
	$pdf->Cell(0,0,'Nota de Credito para Banco: ' . $banco);
	$pdf->SetFont('Times','B',8);
	$pdf->SetXY($dx +15.5, 40);
	$pdf->Cell(0,0,'del Centro de Empleados de Comercio de Posadas');	
	
	//CBU se agrega a partir de Agosto 2023 (14-08-20263)
	$pdf->SetXY($dx +16, 45);
	$pdf->Cell(0,0,'CBU: ' . $cbu);	
	
	$pdf->Line($dx +17, 50, $dx +108, 50);
	
	
	if ($copia < 3)

		$pdf->Line($dx +111, 1, $dx +111, 210);
		$y = 55; $sep = 5;
	//Empleador
		$pdf->SetFont('Arial','',8);
		$pdf->SetXY($dx +15, $y + $sep * 0);
		$pdf->Cell(0,0,'Empleador: ' .$empresa);	
	//Cuit
		$pdf->SetFont('Arial','',8);
		$pdf->SetXY($dx +15, $y + $sep * 1);
		$pdf->Cell(0,0,'Cuit: ' .$cuit );
	//Direccion
		$pdf->SetFont('Arial','',8);
		$pdf->SetXY($dx +15, $y + $sep * 2);
		$pdf->Cell(0,0,'Direccion: ' .$direccion );	
	//Localidad
		$pdf->SetFont('Arial','',8);
		$pdf->SetXY($dx +15, $y + $sep * 3);
		$pdf->Cell(0,0,'Localidad: ' .$localidad );	
	//Telefono
		$pdf->SetFont('Arial','',8);
		$pdf->SetXY($dx +15, $y + $sep * 4);
		$pdf->Cell(0,0,'Total de Empleados:  ' .$tot_empleados . '             Telefono:  '  .$telefono );	
	//Total Remuneracion
		$pdf->SetFont('Arial','',8);
		$pdf->SetXY($dx +15, $y + $sep * 5);
		$pdf->Cell(0,0,'Total Remuneraciones: $ ' .$tot_remuneracion );	
	//Mes y Año
		$pdf->SetFont('Arial','',8);
		$pdf->SetXY($dx +15, $y + $sep * 6);
		$pdf->Cell(0,0,'Correspondiente al mes:     ' .$mes .'        A񯠧' . $anio );	
      // Linea
		$pdf->Line($dx +16, $y + $sep * 7, $dx +108, $y + $sep * 7);
       
	//Titulo
		$pdf->SetFont('Arial','B',8);
		$pdf->SetXY($dx +15, $y + $sep * 8);
		$pdf->Cell(0,0,'RETENCION S/CONVENIO COLECTIVO DE TRABAJO Nڠ130/75');	
	//ART 100
		$pdf->SetFont('Arial','',8);
		$pdf->SetXY($dx +15, $y + $sep * 9);
		$pdf->Cell(0,0,'2% de las remuneraciones Art. 100 ');	
	//Art 100
		$pdf->SetFont('Arial','',8);
		$pdf->SetXY($dx +15, $y + $sep * 10);
		$pdf->Cell(0,0,'Aporte con fines sindicales Cantidad:  ' .$cant_art_100  .'       $  ' .$imp_art_100 );	
	//ART 101
		$pdf->SetFont('Arial','',8);
		$pdf->SetXY($dx +15, $y + $sep * 11);
		$pdf->Cell(0,0,'2% de las remuneraciones Art. 101 ');
	//Art 101
		$pdf->SetFont('Arial','',8);
		$pdf->SetXY($dx +15, $y + $sep * 12);
		$pdf->Cell(0,0,'Cuotas sociales Cantidad de afiliados:  ' .$cant_art_101  .'     $  ' .$imp_art_101 );	
	//OTRAS RETENCIONES
		$pdf->SetFont('Arial','',8);
		$pdf->SetXY($dx +15, $y + $sep * 13);
		$pdf->Cell(0,0,'Otras Retenciones :  ' .$otros );	
	//OTRAS RETENCIONES
		$pdf->SetFont('Arial','',8);
		$pdf->SetXY($dx +15, $y + $sep * 14);
		$pdf->Cell(0,0,'Importe Otras Retenciones :                         $  ' .$imp_otros );	

	 // nota de credito
	if( $Importe_NC > 0) {

			//NOTA DE CREDITO
		$pdf->SetFont('Arial','',8);
		$pdf->SetXY($dx +15, $y + $sep * 15);
		$pdf->Cell(0,0,'Nota de Credito: ' );	
		   //NOTA DE CREDITO
		$pdf->SetFont('Arial','',8);
		$pdf->SetXY($dx +15, $y + $sep * 16);
		$pdf->Cell(0,0,'Importe N. / C. :                                     $  (- ' .$Importe_NC .')');	
		  // Linea
		$pdf->Line($dx +16, $y + $sep * 17, $dx +108, $y + $sep * 17);
	//Titulo
		$pdf->SetFont('Arial','B',9);
		$pdf->SetXY($dx +15, $y + $sep * 18);
		$pdf->Cell(0,0,'TOTAL IMPORTE '); 	
		$pdf->SetFont('Arial','B',9);
		$pdf->SetXY($dx +50, $y + $sep * 18 - 2.5);
		$pdf->Cell(25,5,'$ '  .$totalpagar, 1);	
		$pdf->SetFont('Arial','B',9);
		$pdf->SetXY($dx +15, $y + $sep * 19);
		$pdf->Cell(0,0,'FORMA DE PAGO: ' .$LugarP);	
	//BANCO PAGO
		$pdf->SetFont('Arial','',8);
		$pdf->SetXY($dx +15, $y + $sep * 20);
		$pdf->Cell(0,0,'Banco:  '  .$bancopago );
	//BANCO PAGO
		$pdf->SetFont('Arial','',8);
		$pdf->SetXY($dx +15, $y + $sep * 21);
		$pdf->Cell(0,0,'Cheque Nro.:  '  .$nro_cheque );
	//Sucursal
		$pdf->SetFont('Arial','',8);
		$pdf->SetXY($dx +15, $y + $sep * 22);
		$pdf->Cell(0,0,'Sucursal: '  );	
	//efectivo / cheque
		$pdf->SetFont('Arial','',8);
		$pdf->SetXY($dx +15, $y + $sep * 23);
		$pdf->Cell(0,0,'Efectivo:  '  .$efectivo .'                         Cheque:  ' .$cheque );	
	//son pesos
		$pdf->SetFont('Arial','B',8);
		$pdf->SetXY($dx +15, $y + $sep * 24);
		$pdf->MultiCell(90,3,'SON : ' .$enletras );
	//fecha
		$pdf->SetFont('Arial','',8);
		$pdf->SetXY($dx +15, $y + $sep * 25);
		$pdf->Cell(0,0,' '  .$fecha );	
	// Comprobante
		$pdf->SetFont('Arial','B',8);
		$pdf->SetXY($dx +15, $y + $sep * 26);
		$pdf->MultiCell(90,3,$comprobante);
	//sello
		$pdf->SetFont('Arial','B',8);
		$pdf->SetXY($dx +15, $y + $sep * 27);
		$pdf->Cell(0,0,'Sello del Banco : ' );	
		$pdf->SetXY($dx +65, $y + $sep * 28);
		$pdf->Cell(0,0,'________________________' );	
		$pdf->SetXY($dx +65, $y + $sep * 29);
		$pdf->Cell(0,0,' Firma del Depositante' );	
	// para que imprima correctamente el cb se necesita pasar de px a cm
		$Valorpxtomm = 0.264583333;
	    $Ancho = imagesx($archivoCB) * $Valorpxtomm;
		$Alto = imagesy($archivoCB) * $Valorpxtomm;
	    $pdf->Image($archivoCB,$dx,50,$Ancho,$Alto);

		}else{


      // Linea
		$pdf->Line($dx +16, $y + $sep * 15, $dx +108, $y + $sep * 15);
	//Titulo
		$pdf->SetFont('Arial','B',9);
		$pdf->SetXY($dx +15, $y + $sep * 16);
		$pdf->Cell(0,0,'TOTAL IMPORTE '); 	
		$pdf->SetFont('Arial','B',9);
		$pdf->SetXY($dx +50, $y + $sep * 16 - 2.5);
		$pdf->Cell(25,5,'$ '  .$totalpagar, 1);	
		$pdf->SetFont('Arial','B',9);
		$pdf->SetXY($dx +15, $y + $sep * 17);
		$pdf->Cell(0,0,'FORMA DE PAGO: ' .$LugarP);	
	//BANCO PAGO
		$pdf->SetFont('Arial','',8);
		$pdf->SetXY($dx +15, $y + $sep * 18);
		$pdf->Cell(0,0,'Banco:  '  .$bancopago );
	//BANCO PAGO
		$pdf->SetFont('Arial','',8);
		$pdf->SetXY($dx +15, $y + $sep * 19);
		$pdf->Cell(0,0,'Cheque Nro.:  '  .$nro_cheque );
	//Sucursal
		$pdf->SetFont('Arial','',8);
		$pdf->SetXY($dx +15, $y + $sep * 20);
		$pdf->Cell(0,0,'Sucursal: '  );	
	//efectivo / cheque
		$pdf->SetFont('Arial','',8);
		$pdf->SetXY($dx +15, $y + $sep * 21);
		$pdf->Cell(0,0,'Efectivo:  '  .$efectivo .'                         Cheque:  ' .$cheque );	
	//son pesos
		$pdf->SetFont('Arial','B',8);
		$pdf->SetXY($dx +15, $y + $sep * 22);
		$pdf->MultiCell(90,3,'SON : ' .$enletras );
	//fecha
		$pdf->SetFont('Arial','',8);
		$pdf->SetXY($dx +15, $y + $sep * 24);
		$pdf->Cell(0,0,' '  .$fecha );	
	// Comprobante
		$pdf->SetFont('Arial','B',8);
		$pdf->SetXY($dx +15, $y + $sep * 25);
		$pdf->MultiCell(90,3,$comprobante);
	//sello
		$pdf->SetFont('Arial','B',8);
		$pdf->SetXY($dx +15, $y + $sep * 26);
		$pdf->Cell(0,0,'Sello del Banco : ' );	
		$pdf->SetXY($dx +65, $y + $sep * 26);
		$pdf->Cell(0,0,'________________________' );	
		$pdf->SetXY($dx +65, $y + $sep * 27);
		$pdf->Cell(0,0,' Firma del Depositante' );	
	// para que imprima correctamente el cb se necesita pasar de px a cm
		$Valorpxtomm = 0.264583333;
	    $Ancho = imagesx($archivoCB) * $Valorpxtomm;
		$Alto = imagesy($archivoCB) * $Valorpxtomm;
	    $pdf->Image($archivoCB,$dx,50,$Ancho,$Alto);
 	//  $pdf->Image($archivoCB,$dx,20,11.1125,128.5875);
	//	$pdf->Image($archivoCB,$dx,20,10,170);
	//$pdf->RotatedImage($archivoCB,$dx +6.5, 5,52,475,0 );
	//$pdf->RotatedImage($archivoCB,$dx +6.5, 10 );
	}
}






function EliminarArchivos ($ruta,$patern){
      $carpeta = "";   
      $file = "";   
      $archivo_solicitado =  preg_split("/[\s.]+/",$patern);  
      if ($carpeta = opendir($ruta)){
        while(false !== ($valor=readdir($carpeta))){
          if ($valor!="."&&$valor!=".."){
          $archivo_encontrado =  preg_split("/[\s.]+/",$valor); 
           if (preg_match("/".$archivo_solicitado[0]."/i",$archivo_encontrado[0])&&($archivo_encontrado[1]==$archivo_solicitado[1])){
           unlink($archivo_encontrado[0].".".$archivo_encontrado[1]);
           } else {
           return ;
           } 
          }   
        }   
        closedir($carpeta);
      }
  }



// y se termino


?>



